## org.apache.batik.bridge
Class SVGAnimationEngine.CSSValueFactory

    java.lang.Object
      org.apache.batik.bridge.SVGAnimationEngine.CSSValueFactory

All Implemented Interfaces:
  SVGAnimationEngine.Factory

Direct Known Subclasses:
  SVGAnimationEngine.AnimatableAngleOrIdentFactory, SVGAnimationEngine.AnimatableAngleValueFactory, SVGAnimationEngine.AnimatableColorValueFactory, SVGAnimationEngine.AnimatableLengthOrIdentFactory, SVGAnimationEngine.AnimatableNumberOrIdentFactory, SVGAnimationEngine.AnimatablePaintValueFactory, SVGAnimationEngine.AnimatableStringValueFactory

Enclosing class:
  SVGAnimationEngine

    protected abstract class SVGAnimationEngine.CSSValueFactory

extends java.lang.Object
implements SVGAnimationEngine.Factory

Factory class for AnimatableValues for CSS properties. XXX Shorthand properties are not supported.

Constructor Summary
`protected` `SVGAnimationEngine.CSSValueFactory()`

Method Summary
`protected Value` `computeValue(CSSStylableElement elt, java.lang.String pn, Value v)` Computes a CSS `Value` and performance inheritance if the specified value is 'inherit'.
`protected abstract AnimatableValue` `createAnimatableValue(AnimationTarget target, java.lang.String pn, Value v)` Creates a new AnimatableValue from a CSS `Value`, after computation and inheritance.
`protected Value` `createCSSValue(AnimationTarget t, java.lang.String pn, java.lang.String s)` Creates a new CSS `Value` from a string.
`AnimatableValue` `createValue(AnimationTarget target, java.lang.String ns, java.lang.String ln, boolean isCSS, java.lang.String s)` Creates a new AnimatableValue from a string.
`AnimatableValue` `createValue(AnimationTarget target, java.lang.String pn, Value v)` Creates a new AnimatableValue from a CSS `Value`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGAnimationEngine.CSSValueFactory

    protected SVGAnimationEngine.CSSValueFactory()

Method Detail

### createValue

    public AnimatableValue createValue(AnimationTarget target,
                                       java.lang.String ns,
                                       java.lang.String ln,
                                       boolean isCSS,
                                       java.lang.String s)

  Description copied from interface: `SVGAnimationEngine.Factory`
  Creates a new AnimatableValue from a string.

  Specified by:
    `createValue` in interface `SVGAnimationEngine.Factory`

### createValue

    public AnimatableValue createValue(AnimationTarget target,
                                       java.lang.String pn,
                                       Value v)

  Description copied from interface: `SVGAnimationEngine.Factory`
  Creates a new AnimatableValue from a CSS `Value`.

  Specified by:
    `createValue` in interface `SVGAnimationEngine.Factory`

### createAnimatableValue

    protected abstract AnimatableValue createAnimatableValue(AnimationTarget target,
                                                             java.lang.String pn,
                                                             Value v)

  Creates a new AnimatableValue from a CSS `Value`, after computation and inheritance.

### createCSSValue

    protected Value createCSSValue(AnimationTarget t,
                                   java.lang.String pn,
                                   java.lang.String s)

  Creates a new CSS `Value` from a string.

### computeValue

    protected Value computeValue(CSSStylableElement elt,
                                 java.lang.String pn,
                                 Value v)

  Computes a CSS `Value` and performance inheritance if the specified value is 'inherit'.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.